/*============================
RANKING SECTION
============================*/
.ranking-sec {
    padding-block: 80px;
    background-color: #f0f0f0;
}


@media(max-width:767px) {
    .ranking-sec {
        padding-block: 56px;
    }
}

.ranking-sec__wrapper {
    max-inline-size: 1100px;
    margin-inline: auto;
}

@media (max-width: 768px) {
    .ranking-sec__wrapper {
        padding-inline: 20px;
    }
}

@media(max-width:767px) {
    .ranking-sec__wrapper {
        padding-inline: 20px;
    }
}

.ranking-sec-card {
    background-color: #fff;
    border: 1px solid #cdcdcd;
    margin-bottom: 50px;
}

@media (max-width: 768px) {
    .ranking-sec-card {
        margin-bottom: 30px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card {
        margin-bottom: 30px;
    }
}

.ranking-sec-card__header {
    padding: 20px;
    padding-left: 82px;
    border-bottom: 1px solid #cdcdcd;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

@media (max-width: 768px) {
    .ranking-sec-card__header {
        padding: 14px;
        padding-left: 62px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__header {
        padding: 6px;
        padding-left: 46px;
    }
}

.ranking-sec-card__banner {
    width: 100%;
    max-width: 63px;
    height: 84px;
    font-size: 36px;
    font-weight: 700;
    color: #fff;
    background-color: #00A764;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;

    &::after {
        content: '';
        width: 100%;
        height: 20px;
        display: inline-block;
        background-color: inherit;
        clip-path: polygon(
            0% 0%, 
            100% 0%, 
            100% 100%, 
            50% 4px, 
            0% 100%
        );
        position: absolute;
        top: 100%;
        left: 0;
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__banner {
        max-width: 47px;
        height: 64px;
        font-size: 26px;

        &::after {
            height: 10px;
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__banner {
        max-width: 37px;
        height: 40px;
        font-size: 22px;

        &::after {
            height: 10px;
            top: calc(100% - 4px);
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__banner {
        max-width: 31px;
        height: 40px;
        font-size: 18px;
    }
}

.ranking-sec-card__title {
    font-size: 32px;
    font-weight: 700;
    line-height: 1.4;
}

@media (max-width: 768px) {
    .ranking-sec-card__title {
        font-size: 22px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__title {
        font-size: 18px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__title {
        font-size: 14px;
    }
}

.ranking-sec-card__logo {
    --rankingSecCardLogoSize: 56px;
    width: 100%;
    max-width: var(--rankingSecCardLogoSize);
    height: 50px;
    display: block;
    overflow: hidden;
    border: 1px solid #cdcdcd;
}

@media (max-width: 768px) {
    .ranking-sec-card__logo {
        --rankingSecCardLogoSize: 46px;
        height: 40px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__logo {
        --rankingSecCardLogoSize: 44px;
        height: 40px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__logo {
        --rankingSecCardLogoSize: 34px;
        height: 30px;
    }
}

.ranking-sec-card__logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    overflow-clip-margin: unset;
    transition: transform .3s ease-in-out;

    &:hover {
        transform: scale(1.05);
    }
}

.ranking-sec-card__body {
    padding: 20px;
    padding-bottom: 30px;
    display: grid;
    gap: 40px 20px;
    grid-template-columns: auto 1fr;
    grid-template-areas: 
        "rankSec_Image rankSec_Table"
        "rankSec_Recommend rankSec_Recommend"
        "rankSec_Button rankSec_Button";
}

@media (max-width: 768px) {
    .ranking-sec-card__body {
        gap: 30px 20px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__body {
        padding: 10px;
        padding-bottom: 20px;
        display: unset;
    }
}

.ranking-sec-card__image {
    --rankingSecCardImage: 240px;
    grid-area: rankSec_Image;
    width: var(--rankingSecCardImage);
    max-width: 100%;
    height: var(--rankingSecCardImage);
    overflow: hidden;
}

@media (max-width: 768px) {
    .ranking-sec-card__image {
        --rankingSecCardImage: 200px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__image {
        --rankingSecCardImage: 300px;
        margin-inline: auto;
        margin-bottom: 10px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__image {
        --rankingSecCardImage: 250px;
        height: 208px;
    }
}

.ranking-sec-card__image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
    overflow-clip-margin: unset;
    transition: transform .3s ease-in-out;

    &:hover {
        transform: scale(1.05);
    }
}

.ranking-sec-card__table-container {
    grid-area: rankSec_Table;
}

@media(max-width:767px) {
    .ranking-sec-card__table-container {
        margin-inline: 10px;
        margin-bottom: 35px;
    }
}

.ranking-sec-card__table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 6px;

    th, td {
        height: 50px;
        font-size: 16px;
        line-height: 1.4;
        text-align: center;
        background-color: #f7f7f7;
        border: 1px solid #cdcdcd;
    }

    th {
        width: 180px;
        font-weight: 700;
        text-align: center;
        vertical-align: top;
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__table {
        th, td {
            height: 40px;
            font-size: 12px;
        }

        th {
            width: 130px;
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__table {
        th, td {
            font-size: 12px;
        }

        th {
            width: 105px;
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__table {
        th, td {
            font-size: 10px;
        }

        th {
            width: 85px;
        }
    }
}

.ranking-sec-card__table {
    .nijyumaru,
    .maru,
    .sankaku,
    .batsu,
    .nai {
        .symbol {
            --rankingSecCardSymbolSize: 28px;
            width: var(--rankingSecCardSymbolSize);
            height: var(--rankingSecCardSymbolSize);
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
            display: block;
            margin-inline: auto;
        }
    }

    .nijyumaru {
        background-color: #FFE3C1;
        .symbol {
            background-image: url(../images/nijyuumaru.svg);
        }
    }

    .maru {
        background-color: #FFF6E1;
        .symbol {
            background-image: url(../images/maru.svg);
        }
    }

    .sankaku {
        background-color: #EEFEE6;
        .symbol {
            background-image: url(../images/sankaku.svg);
        }
    }

    .batsu {
        background-color: #EEFEFF;
        .symbol {
            background-image: url(../images/batu.svg);
        }
    }

    .nai {
        background-color: #F7F7F7;
        .symbol {
            background-image: url(../images/non.svg);
        }
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__table {
        .nijyumaru,
        .maru,
        .sankaku,
        .batsu,
        .nai {
            .symbol {
                --rankingSecCardSymbolSize: 20px;
            }
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__table {
        .nijyumaru,
        .maru,
        .sankaku,
        .batsu,
        .nai {
            .symbol {
                --rankingSecCardSymbolSize: 18px;
            }
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__table {
        .nijyumaru,
        .maru,
        .sankaku,
        .batsu,
        .nai {
            .symbol {
                --rankingSecCardSymbolSize: 14px;
            }
        }
    }
}

.ranking-sec-card__table-symbol {
    width: 80px;
}

@media (max-width: 768px) {
    .ranking-sec-card__table-symbol {
        width: 50px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__table-symbol {
        width: 40px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__table-symbol {
        width: 30px;
    }
}

.ranking-sec-card__table .konbini {
    width: fit-content;
    margin-inline: auto;
    margin-top: 2px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.ranking-sec-card__table .konbini-logo {
    --rankingSecCardKonbiniSize: 22px;
    width: var(--rankingSecCardKonbiniSize);
    height: var(--rankingSecCardKonbiniSize);
    display: inline-block;
}

@media (max-width: 768px) {
    .ranking-sec-card__table .konbini-logo {
        --rankingSecCardKonbiniSize: 18px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__table .konbini-logo {
        --rankingSecCardKonbiniSize: 16px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__table .konbini-logo {
        --rankingSecCardKonbiniSize: 14px;
    }
}

.ranking-sec-card__annotation {
    width: fit-content;
    font-size: 12px;
    line-height: 1.4;
    margin-inline: auto;
    margin-right: 0;
}

@media (max-width: 768px) {
    .ranking-sec-card__annotation {
        font-size: 8px;
    }
}

@media(max-width:767px) {
    .ranking-sec-card__annotation {
        font-size: 10px;
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__annotation {
        font-size: 8px;
    }
}

.ranking-sec-card__recommend {
    grid-area: rankSec_Recommend;
    background-color: #effdf9;
    border: 1px solid #00b377;
    border-radius: 5px;
    position: relative;

    &::before {
        content: '';
        --rankingSecCardRecommIllustSize: 170px;
        width: var(--rankingSecCardRecommIllustSize);
        height: var(--rankingSecCardRecommIllustSize);
        background-image: url(../images/welcome_seal.png);
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        position: absolute;
        top: -25px;
        right: 60px;
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__recommend {
        
        &::before {
            --rankingSecCardRecommIllustSize: 130px;
            right: 30px;
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__recommend {
        margin-inline: 10px;
        margin-bottom: 20px;

        &::before {
            --rankingSecCardRecommIllustSize: 80px;
            right: 5px;
            top: 5px;
        }
    }
}

.ranking-sec-card__recommend-title {
    font-size: 20px;
    font-weight: 700;
    color: #fff;
    background-color: #00b377;
    padding: 6px 20px 6px 60px;
    margin-left: -1px;
    border-radius: 10px 30px 30px 0;
    position: absolute;
    top: -24px;
    left: 0;

    &::before {
        content: '';
        --rankingSecCardRecommIconSize: 24px;
        width: var(--rankingSecCardRecommIconSize);
        height: var(--rankingSecCardRecommIconSize);
        background-image: url(../images/check_w.svg);
        background-size: 24px;
        transform: translateY(-50%);
        position: absolute;
        top: 50%;
        left: 20px;
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__recommend-title {
        font-size: 14px;
        padding: 4px 20px 4px 40px;
        top: -18px;

        &::before {
            --rankingSecCardRecommIconSize: 14px;
            background-size: contain;
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__recommend-title {
        font-size: 12px;
        padding: 6px 12px 6px 48px;
        top: -18px;

        &::before {
            --rankingSecCardRecommIconSize: 18px;
            background-size: contain;
            left: 20px;
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__recommend-title {
        font-size: 10px;
        padding: 4px 12px 4px 38px;
        top: -13px;

        &::before {
            --rankingSecCardRecommIconSize: 14px;
            left: 10px;
        }
    }
}

.ranking-sec-card__recommend-list {
    padding: 40px 20px 20px;

    li {
        font-size: 16px;
        font-weight: 700;

        &::before {
            content: '・';
            font-size: 16px;
            font-weight: 700;
            color: #00b377;
            text-indent: -1em;
        }
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__recommend-list {
        padding: 30px 10px 10px;

        li {
            font-size: 12px;
        }
    }
}

@media(max-width:767px) {
    .ranking-sec-card__recommend-list {
        max-inline-size: 80%;
        padding: 20px 10px 10px;

        li {
            font-size: 12px;
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__recommend-list {
        max-inline-size: 70%;
        padding: 20px 10px 10px;

        li {
            font-size: 10px;
        }
    }
}

.ranking-sec-card__button {
    --rankingSecCardBoxShadowColor: #B74900;
    grid-area: rankSec_Button;
    width: 100%;
    max-width: 360px;
    min-height: 80px;
    display: block;
    font-size: 32px;
    font-weight: 700;
    color: #fff;
    text-align: center;
    padding: 12px 0px 12px 80px;
    cursor: pointer;
    background: transparent linear-gradient(90deg, #EA5F02 0%, #FA883A 47%, #FF9750 100%) 0% 0% no-repeat padding-box;
    box-shadow: 0px 6px 0px var(--rankingSecCardBoxShadowColor);
    border-radius: 12px;
    margin-inline: auto;
    transition: 
        transform .3s ease-in-out,
        box-shadow .3s ease-in-out;
    position: relative;

    &:hover {
        transform: translateY(4px);
        box-shadow: 0px 2px 0px var(--rankingSecCardBoxShadowColor);

        &::before {
            animation: none;
            top: 0;
        }
    }

    &::before {
        content: '';
        width: 90px;
        height: 90px;
        display: block;
        background-image: url("../images/ic-hand.svg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        animation: moveUpDown 2s ease-in-out infinite;
        position: absolute;
        top: 8px;
        left: 18px;
    }

    @keyframes moveUpDown {
        0% {
            transform: translateY(0);
        }
        50% {
            transform: translateY(-10px);
        }
        100% {
            transform: translateY(0);
        }
    }
}

@media (max-width: 768px) {
    .ranking-sec-card__button{
        max-width: 270px;
        min-height: 62px;
        font-size: 22px;

        &::before {
            width: 70px;
            height: 70px;
        }
    }
}


@media(max-width:767px) {
    .ranking-sec-card__button {
        max-width: 230px;
        min-height: 50px;
        font-size: 22px;
        padding: 6px 0px 6px 60px;

        &:hover {
            transform: translateY(3px);
            box-shadow: 0px 1px 0px var(--rankingSecCardBoxShadowColor);
        }

        &::before {
            width: 60px;
            height: 60px;
            top: 8px;
            left: 10px;
        }
    }
}

@media(max-width: 320px) {
    .ranking-sec-card__button {
        max-width: 200px;
        min-height: 43px;
        font-size: 18px;
        padding: 6px 0px 6px 50px;

        &::before {
            width: 50px;
            height: 50px;
        }
    }
}